# Change log

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.16] - 2025-03-04

### Added

- Support for Mac OS X (a.k.a., `darwin`).

## [0.2.15] - 2025-02-21

### Changed

- Migrated from 2021 edition to 2024.

## [0.2.14] - 2025-02-06

### Changed

- Fixed building on FreeBSD.
- Fixed testing on FreeBSD, by working around an issue due to GNU glibc defining
  the type of a field differently from its definition in the manual pages.

Thank you very much, *Alan Somers*.

## [0.2.13] - 2024-11-23

### Changed

- Translated some target triplets from `rustc` to `clang` formats.

  See: <https://github.com/rust-lang/rust-bindgen/issues/2136>

Thank you very much, *NoisyCoil*.

## [0.2.12] - 2024-11-23

### Added

- Added support for GNU/Hurd.
  
Thank you, *Pino Toscano*.

## [0.2.11] - 2024-09-12

### Added

- Support for cross-compilation.
  - The `clang` parameter `--target=` is passed to `bindgen`.
  - If one of the environment variables `SYSROOT`, `TARGET_SYSROOT`, `SYSROOT_<target-triple>`
    or `SYSROOT_<TARGET_TRIPLE>` is defined, then the `clang` parameter `--sysroot=` is passed
    to `bindgen`.

## [0.2.10] - 2024-09-12

### Changed

- Updated dependencies.

## [0.2.9] - 2024-03-27

### Changed

- Moved repository to `codeberg.org`.

## [0.2.8] - 2024-01-19

### Changed

- Updated dependencies.

## [0.2.7] - 2023-10-31

### Changed

- Updated dependencies.

## [0.2.6] - 2023-06-07

### Changed

- Updated build script to better integrate with `cargo`.

## [0.2.5] - 2023-04-18

### Changed

- Updated dependencies.

## [0.2.4] - 2022-11-22

### Changed

- Updated dependencies.

## [0.2.3] - 2022-11-20

### Changed

- Updated dependencies.

## [0.2.2] - 2022-09-03

### Changed

- Updated Rust edition to 2021.
- Updated dependencies.

## [0.2.1] - 2021-07-28

### Changed

- Updated dependencies.

## [0.2.0] - 2021-04-17

### Changed

- Building for non-UNIX platforms is now supported, but it results in
  an empty crate.

## [0.1.0] - 2021-03-06

### Added

- Initial release.
